Subject: [16ng] RE: 802.16g GPCS?

From: "David Johnston" <[email-masked]>
Date: Wed, 6 Dec 2006 08:33:13 -0800

>> * Ethernet approach - set aside a fixed two byte field in the packet
>> header
>> * Generic 802 approach , including 802.11 - Start the packet with a
SNAP
>> header.
>
>I'm sorry, when an IP stack puts a packet on an 802.11 interface
there's
>a MAC header, before the IP header. The IP stack does not add a SNAP 
>header. The driver may. I am interested in 802.16 acting the same as 
>802.11, in this respect. Whether that is GPCS or other CS - to clarify.

Sorry - I mistyped, I meant payload.

* Generic 802 approach , including 802.11 - Start the payload with an
LLC/SNAP header as per 10.3 of 802-2001.